package conv

import (
	"gadmin/package/gmdata"
	"gadmin/utility"
	"github.com/sirupsen/logrus"
)

var Treasure = new(cTreasure)

type cTreasure struct {
	version string
	lst     []*gmdata.Role
}

func (j *cTreasure) Extract(version string) {
	logrus.Info("cTreasure Extract...")
	j.setVersion(version).save()
}

func (j *cTreasure) setVersion(version string) *cTreasure {
	j.version = version
	return j
}

func (j *cTreasure) save() {
	// 下载的文件列表
	downs := []string{"Treasure.json"}
	for _, fileName := range downs {

		// 保存文件
		url := utility.PullJsonAddr(j.version, fileName)
		dstFileName := utility.LocalJsonPath(j.version, fileName)
		if err := HttpRequestToFile(url, dstFileName); err != nil {
			logrus.Info("HttpRequestToFile err:%+v", err)
			return
		}
	}
}
